/* Modal Hintergrund */
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-card {
    display: flex;
    flex-direction: column;
    width: 100%;
}

/* Modal-Inhalt */

.modal-content {
    background-color: rgb(21, 5, 66);
    margin: 10% auto;
    width: 90%;
    max-width: 450px;
    border-radius: 7px;
    box-shadow: 0 4px 18px rgba(0, 0, 0, 0.2);
}

.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    /* background-color: red; */
    height: 40px;
    padding-left: 10px;
    padding-right: 10px;
    font-size: 15px;
    border-radius: 7px 7px 0px 0px;
    background-color: rgb(21, 5, 66);
    color: white;
}

.modal-image {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 100%;
}

.modal-image img {
    object-fit: cover;
    width: 100%;
    height: 250px;
    object-fit: contain;
}

.modal-types {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    height: 40px;
    /* background-color: red; */
    background-color: rgb(21, 5, 66);
}

.modal-types img {
    width: 30px;
}

.modal-nav {
    display: flex;
    justify-content: center;
    gap: 10%;
    align-items: center;
    height: 30px;
    background-color: rgb(21, 5, 66);
    color: white;
    font-size: 14px;
    text-align: center;
    font-weight: 300;
}

.modal-nav-first,
.modal-nav-second,
.modal-nav-third {
    cursor: pointer;
}

.modal-nav-first:hover,
.modal-nav-second:hover,
.modal-nav-third:hover {
    color: rgb(197, 190, 216);
}

.modal-body {
    padding: 10px;
    background-color: rgb(21, 5, 66);
    color: white;
    font-size: 14px;
}


.modal-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    background-color: rgb(21, 5, 66);
    height: 30px;
    border-radius: 0px 0px 7px 7px;
    color: white;
    font-size: 25px;
    font-weight: 500;
}

.arrow-right {
    cursor: pointer;
}

.arrow-left {
    cursor: pointer;
}


/* Stil für den Fortschrittsbalken
progress {
    width: 100%;
    height: 20px;
    margin: 5px 0;
    border-radius: 5px;
}

.stat-text {
    display: inline-block;
    margin-right: 10px;
    font-weight: bold;
}

progress[value]::-webkit-progress-bar {
    background-color: #eee;
    border-radius: 5px;
}

progress[value]::-webkit-progress-value {
    background-color: #4caf50;
    border-radius: 5px;
}

progress[value]::-moz-progress-bar {
    background-color: #4caf50;
    border-radius: 5px;
} */